<?php

   /* Booking.php
   Display a calendar and allow user to move forward and backward
     through months via form controls.

    $month = last month displayed
    $year = last year displayed

   Form control (POST) Next = Next month
   Form control (POST)  Prev = Previous month
  */

  // Globals for easy reference
  global  $month, $year;

  // Get the variables from POST
  function get_vars() {
    global  $month, $year;
    // Get POST vars
     foreach($_POST as $key => $value) {
        $$key = $value;
    }
  }


  // Set up the date to display
  function set_date() {

    global  $month, $year;

    // Get POST data
    get_vars();

    // If Next, then move month forward
    if ($_POST["Next"] == ">>") {
      $month = $month + 1;
      if ($month == "13") {
        $year = $year + 1;
        $month = 1;
        }
      }

    // If Prev, then move month backward
    else if ($_POST["Prev"] == "<<") {
      $month = $month - 1;
      if ($month == "0") {
        $year = $year - 1;
        $month = 12;
      }
    }
    else { //set today
    	$month=date('n');
	$year=date('Y');
	}
 }


 // Display the calendar form
function display_cal($month,$year) {

   // Determine today to mark it accordingly
   $today = date("n-j-Y");

   // Build calls to script, include calendar var if
   //   it has been set (!= default TRUE)
   $this_script = $_SERVER['PHP_SELF'];
   $reset_script = $this_script;

   // Get timestamp for first day of current month/year
   $timestamp = strtotime($year."-".$month."-01");
   // What's the last day of this month? (28-31)
   $lastday = date('t',$timestamp);
   // What weekday does the first fall on?
   $wkday = date('w',$timestamp);

   // Set monthtext and dow display according to size
   //   of calendar
   $tblsize = 100;
   $dow = array("Sunday","Monday","Tuesday","Wednesday",
                  "Thursday","Friday","Saturday");
   $monthtext = date('F',$timestamp);

 // Print calendar header info
 print <<<HTML
 <html>
 <title>Calendar</title>
 <body>

 <form action="$this_script" method="post">

 <!-- Script control vars -->
 <input type="hidden" name="month" value="$month ">
 <input type="hidden" name="year" value="$year">

 <!-- Month header with Prev/Next buttons -->
 <table border=1>
 <tr>
   <td colspan="2" align="left">
     <input type="submit" name="Prev" value="<<">
   </td>
   <td colspan="3" align="center">
     <strong>
     <a href="$reset_script">$monthtext $year</a>
     </strong>
   </td>
   <td colspan="2" align="right">
     <input type="submit" name="Next" value=">>">
   </td>
 </tr>
 <!-- Day of week header row -->
 <tr>
   <td width="$tblsize"><center><font color=red><b>$dow[0]</b></font></center></td>
   <td width="$tblsize"><center><b>$dow[1]</b></center></td>
   <td width="$tblsize"><center><b>$dow[2]</b></center></td>
   <td width="$tblsize"><center><b>$dow[3]</b></center></td>
   <td width="$tblsize"><center><b>$dow[4]</b></center></td>
   <td width="$tblsize"><center><b>$dow[5]</b></center></td>
   <td width="$tblsize"><center><b>$dow[6]</b></center></td>
 </tr>
 <!-- Calendar starts here -->

HTML;

   // Skip days of week up to first day of month
   print "<tr> \n";
   for ($x = 0; $x < $wkday; $x++) {
     print "\t<td align=\"right\"
     valign=\"top\" height=\"$tblsize\">";
     print "&nbsp;";
     print "</td>\n";
   }

   // Step through month, 1st through last day (28, 30, or 31)
   //  Print table cell for each
   for ($x = 1; $x <= $lastday; $x++) {
   // Close row after each Sat, start next row with Sunday (0)
     if ($wkday == "7") {
       print "</tr>\n<tr>\n";
       $wkday = 0;
     }
     print "\t<td align=\"right\"
     valign=\"top\" height=\"$tblsize\">";

     $nvdate=$year . "-";
     if (strlen($month)==1) {$nvdate = $nvdate . "0";}
     $nvdate=$nvdate . $month . "-";
     if ($x<10) {$nvdate = $nvdate . "0";}
     $nvdate=$nvdate . $x;

     print "<a href=\"./dayview.php?date=$nvdate\" target=\"_blank\">";
     // If this is today, highlight it with green font
     if ($today == $month."-".$x."-".$year) {
       print "<font color=\"#00ff00\">"; }
     else if ($wkday == "0") {
     	print "<font color=\"#ff0000\">";}
     print "$x";
     if ($today == $month."-".$x."-".$year) {
       print "</font>"; }
     print "</a></td>\n";
     $wkday++;
   }

   // Close out row
   while ($wkday < 7) {
     print "\t<td align=\"right\"
     valign=\"top\" height=\"$tblsize\">&nbsp;</td>\n";
     $wkday++;
   }

 // Close open tags and page
 print <<<HTML
 </tr>
 </table>

 </form>

 </body>
HTML;

 }


 // Main program body
 // Set the dates to display
 set_date();
 // Display the calendar
 display_cal($month,$year,$calendar);

 ?>
